net.sf.jasperreports.engine.convert

## Class ElementConverter

- java.lang.Object
- - net.sf.jasperreports.engine.convert.ElementConverter

- Direct Known Subclasses:
    ChartConverter, ComponentElementConverter, ElementIconConverter, EllipseConverter, FrameConverter, ImageConverter, LineConverter, RectangleConverter, TextElementConverter

      public abstract class ElementConverter
      extends java.lang.Object

  Version:
    $Id: ElementConverter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract JRPrintElement` | `convert(ReportConverter reportConverter, JRElement element)`
    `protected void` | `copyElement(ReportConverter reportConverter, JRElement element, JRPrintElement printElement)`
    `protected void` | `copyGraphicElement(ReportConverter reportConverter, JRGraphicElement element, JRBasePrintGraphicElement printElement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementConverter

          public ElementConverter()

  - ### Method Detail

    - #### convert

          public abstract JRPrintElement convert(ReportConverter reportConverter,
                               JRElement element)

    - #### copyElement

          protected void copyElement(ReportConverter reportConverter,
                         JRElement element,
                         JRPrintElement printElement)

    - #### copyGraphicElement

          protected void copyGraphicElement(ReportConverter reportConverter,
                                JRGraphicElement element,
                                JRBasePrintGraphicElement printElement)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com